Bug 569237 (CVE-2010-1086) - CVE-2010-1086 kernel: dvb-core: DoS bug in ULE decapsulation code
Summary: CVE-2010-1086 kernel: dvb-core: DoS bug in ULE decapsulation code
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-1086
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 569238 569239 569240 569241 569242 569243
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-01 00:23 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:35 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-28 08:38:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0394 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2010-05-05 13:05:05 UTC
Red Hat Product Errata RHSA-2010:0398 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-05-06 18:49:33 UTC
Red Hat Product Errata RHSA-2010:0631 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2010-08-18 07:58:39 UTC

Description Eugene Teo (Security Response) 2010-03-01 00:23:56 UTC
Description of problem:
Reported by Ang Way Chuang, Mauro Carvalho informed Red Hat about a security issue in the ULE decapsulation code.

ULE (Unidirectional Lightweight Encapsulation RFC 4326) decapsulation has a bug that causes endless loop when Payload Pointer of MPEG2-TS frame is 182 or 183. Anyone who sends malicious MPEG2-TS frame will cause the receiver of ULE SNDU to go into endless loop.

Acknowledgements:

Red Hat would like to thank Ang Way Chuang for reporting this issue.

Comment 2 Eugene Teo (Security Response) 2010-03-01 15:35:12 UTC
Upstream commit:
http://git.kernel.org/linus/29e1fa3565a7951cc415c634eb2b78dbdbee151d

Comment 3 John Kacur 2010-04-09 10:54:13 UTC
Note: for 2.6.33.1 this is 656bb504522676d4a9ebf218c37f7eb966e534ab

Comment 4 errata-xmlrpc 2010-05-05 13:05:09 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0394 https://rhn.redhat.com/errata/RHSA-2010-0394.html

Comment 5 errata-xmlrpc 2010-05-06 18:49:36 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0398 https://rhn.redhat.com/errata/RHSA-2010-0398.html

Comment 6 errata-xmlrpc 2010-08-17 15:52:50 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0631 https://rhn.redhat.com/errata/RHSA-2010-0631.html


Note You need to log in before you can comment on or make changes to this bug.